import QtQuick 2.0

import "global.js" as Const

Item
{
   id: baseItem
   height: parent.height

   property int animationDuration
   property bool scrollDirection


   Behavior on y { NumberAnimation{ easing.type: Easing.Linear; duration: animationDuration } }

   states: [
      State
      {
         name: Const.stateActive
         PropertyChanges
         {
            target: baseItem
            y: 0
            opacity: 1
         }
      },

      State
      {
         name: Const.stateDisactive
         PropertyChanges
         {
            target: baseItem
            y : parent.height
            opacity: scrollDirection ? 1 : 0
         }
      },

      State {
         name: Const.stateInactive
         PropertyChanges
         {
            target: baseItem
            y: -baseItem.height
            opacity: scrollDirection ? 0 : 1

         }
      }
   ]

   function getNextState()
   {
      if( scrollDirection )
      {
         if( baseItem.state === Const.stateInactive )
            baseItem.state = Const.stateActive;
         else if ( baseItem.state === Const.stateActive )
            baseItem.state = Const.stateDisactive;
         else if ( baseItem.state === Const.stateDisactive )
            baseItem.state = Const.stateInactive;
      }
      else
      {
         if( baseItem.state === Const.stateInactive )
            baseItem.state = Const.stateDisactive;
         else if ( baseItem.state === Const.stateDisactive )
            baseItem.state = Const.stateActive;
         else if ( baseItem.state === Const.stateActive )
            baseItem.state = Const.stateInactive;
      }
   }

}
